List ad-server source sync history
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/sync-history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/sync-history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/sync-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"runs": [
{
"syncId": "<string>",
"syncType": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": null,
"status": "<string>",
"durationSeconds": null,
"itemsProcessed": 0,
"itemsFailed": 0,
"errorSummary": null,
"errorCategory": null
}
],
"count": 0,
"nextCursor": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
List ad-server source sync history
List historical sync runs for an ad-server-backed inventory source. Use this for drill-down after reading the coarse source-status sync blocks.
GET
/
inventory-sources
/
{sourceId}
/
sync-history
List ad-server source sync history
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/sync-history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/sync-history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/sync-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"runs": [
{
"syncId": "<string>",
"syncType": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": null,
"status": "<string>",
"durationSeconds": null,
"itemsProcessed": 0,
"itemsFailed": 0,
"errorSummary": null,
"errorCategory": null
}
],
"count": 0,
"nextCursor": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1